From e06f50e3415a24b82af21a32999521451dc1cc58 Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@heroku.com>
Date: Sat, 11 Oct 2014 13:49:53 -0700
Subject: [PATCH 2/4] Fix PG_CACHE_LINE_SIZE bit rot

---
 src/backend/utils/adt/varlena.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/utils/adt/varlena.c b/src/backend/utils/adt/varlena.c
index 29407d9..6b26967 100644
--- a/src/backend/utils/adt/varlena.c
+++ b/src/backend/utils/adt/varlena.c
@@ -2083,9 +2083,9 @@ retry:
 	 * in order to compensate for cases where differences are past
 	 * CACHE_LINE_SIZE bytes, so as to limit the overhead of hashing.
 	 */
-	hash = hash_any((unsigned char *) tss->buf1, Min(len, CACHE_LINE_SIZE));
+	hash = hash_any((unsigned char *) tss->buf1, Min(len, PG_CACHE_LINE_SIZE));
 
-	if (len > CACHE_LINE_SIZE)
+	if (len > PG_CACHE_LINE_SIZE)
 		hash ^= DatumGetUInt32(hash_uint32((uint32) len));
 
 	addHyperLogLog(&tss->full_card, hash);
-- 
1.9.1

